Ruby - Feature #6731

add new method "Object.present?" as a counter to #empty?
07/14/2012 03:37 PM - rogerdpack (Roger Pack)

Status: Rejected
Priority: Normal
Assignee:

Target version:

Description

Basically Object#present? , "An object is present if it's not #empty?" [2]
or, in other words, "is there any data inside?"

Examples:

[l.present?

=> false

[3].present?

=> true

".present?

=> false # because it's #empty?
'a'.present?

=> true

nil.present?

=> false

Example usage:

button.text=text if text.present? # | only care whether the text actually was set to something, and also don't want to worry about
whether it's nil or not.

Thanks.

Basic implementation ([1]):

class Object

def present?

l(respond_to?(:empty?) ? empty? : Iself)
end

end

[1] http://stackoverflow.com/a/4649452/32453
[2] http://api.rubyonrails.org/classes/Object.html#method-i-present-3F they also use #blank but that's for a different feature request.

History

#1 - 07/14/2012 03:39 PM - rogerdpack (Roger Pack)
- File present.txt added

Adding "presentation” txt file.

#2 - 07/17/2012 07:53 AM - claytrump (Clay Trump)
Hum, wouldn't this conflict with Rails? In Rails, " ".present? is
falseclass Object

def present?
I(respond_to?(:empty?) ? empty? : Iself)
end
end

#3 - 07/24/2012 10:37 PM - mame (Yusuke Endoh)

- Status changed from Open to Rejected

Roger Pack,

Sorry but this proposal was rejected at the developer meeting (7/21).
There are many possible definitions of "present?" depending upon

contexts. It's not Ruby's decision. People should decide the
definition for their context.

Yusuke Endoh mame@tsg.ne.jp

Files
present.txt 868 Bytes 07/14/2012 rogerdpack (Roger Pack)
